This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1094581 - Review Request: drupal7-admin_menu - Provides a theme-independent administration interface
Review Request: drupal7-admin_menu - Provides a theme-independent administrat...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
: 1099901 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-06 00:32 EDT by Sam Wilson
Modified: 2014-11-01 12:22 EDT (History)
8 users (show)

See Also:
Fixed In Version: drupal7-admin_menu-3.0-0.4.rc4.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-22 04:51:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sam Wilson 2014-05-06 00:32:21 EDT
Spec URL: http://cycloptivity.fedorapeople.org/drupal7-admin_menu.spec
SRPM URL: http://cycloptivity.fedorapeople.org/drupal7-admin_menu-3.0-0.1.rc4.fc19.src.rpm
Description: Drupal 7 contrib module, Provides a theme-independent administration interface
Fedora Account System Username: cycloptivity

This is my first package and as such need a sponsor. Latest builds at https://koji.fedoraproject.org/koji/taskinfo?taskID=6817046
Comment 1 Parag AN(पराग) 2014-05-06 05:50:50 EDT
Hi Sam,
I can sponsor you provided you will review other package submission and/or will add few more package reviews. When you will do any informal package review, please add that review bug number in this bugzilla. This will let me know that you are doing some reviews.

also please read the process of getting sponsored in packager group at https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

Look for new packages at http://fedoraproject.org/PackageReviewStatus/NEW.html

you may also find following links interested to read
http://fedoraproject.org/wiki/Using_Fedora_GIT

http://fedoraproject.org/wiki/Packaging_tricks

http://fedoraproject.org/wiki/How_to_create_an_RPM_package

http://fedoraproject.org/wiki/Packaging:ReviewGuidelines

http://fedoraproject.org/wiki/Package_Review_Process
Comment 2 Sam Wilson 2014-05-06 21:40:07 EDT
Hi Parag,

Thanks! I will work through a few reviews and upload a few more drupal7 contrib modules.

First off is https://bugzilla.redhat.com/show_bug.cgi?id=1094042#c1

Cheers,

Sam
Comment 5 Sam Wilson 2014-05-07 22:44:22 EDT
Second review at https://bugzilla.redhat.com/show_bug.cgi?id=1094864#c1
Comment 6 Sam Wilson 2014-05-08 02:03:20 EDT
Added drupal7-block_class review at https://bugzilla.redhat.com/show_bug.cgi?id=1095593
Comment 7 Parag AN(पराग) 2014-05-09 00:32:12 EDT
Review:

+ Package builds successful in F21 x86_64 mock

+ rpmlint on generated rpms gave
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball: 3ca04f52c3d0d53dd37a6b9f9412659ddf3b8453e930c3c82fca25c853da7cc5
upstream tarball : 3ca04f52c3d0d53dd37a6b9f9412659ddf3b8453e930c3c82fca25c853da7cc5

+ License is valid GPLv2+ and included in its own text file LICENSE.txt

+ Package follows drupal7 packaging guidelines

Suggestions:
1) Group tag is not necessary in Fedora now and can be removed from spec file. See https://fedoraproject.org/wiki/Packaging:Guidelines#Group_tag

APPROVED this package review.
Comment 8 Parag AN(पराग) 2014-05-09 00:36:12 EDT
Note I have reviewed your packages but do some more full reviews, say 3-5 packages of different types and I will sponsor you then. Only then you can import these reviewed packages in Fedora.
Comment 9 Parag AN(पराग) 2014-05-09 00:41:38 EDT
This review bug summary should match with the summary written in spec file.
Comment 10 Parag AN(पराग) 2014-05-19 01:08:14 EDT
Hi Sam,
   Any updates on reviewing other people packages??
Comment 11 Sam Wilson 2014-05-19 21:11:02 EDT
(In reply to Parag AN(पराग) from comment #10)
> Hi Sam,
>    Any updates on reviewing other people packages??

Hi Parag,

Sorry for the delay!

I've posted two more contrib modules.

https://bugzilla.redhat.com/show_bug.cgi?id=1099267
https://bugzilla.redhat.com/show_bug.cgi?id=1099269

Cheers,

Sam
Comment 12 Shawn Iwinski 2014-05-20 14:41:50 EDT
After initial import, please remove "Requires: php(language) >= 5.1"
Comment 13 Parag AN(पराग) 2014-05-21 09:04:26 EDT
*** Bug 1099901 has been marked as a duplicate of this bug. ***
Comment 14 Parag AN(पराग) 2014-06-03 12:03:19 EDT
ping any updates?
Comment 15 Sam Wilson 2014-06-26 21:05:19 EDT
Spec URL: http://cycloptivity.fedorapeople.org/drupal7-admin_menu.spec
SRPM URL: http://cycloptivity.fedorapeople.org/drupal7-admin_menu-3.0-0.1.rc4.fc19.src.rpm
Description: Provides a theme-independent administration interface (aka. "navigation", "back-end"). It's a helper for novice users coming from other CMS, a time-saver for site administrators, and useful for developers and site builders.

Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=7081546

Updated to remove lang reference.
Comment 16 Sam Wilson 2014-06-26 21:10:40 EDT
New Package SCM Request
=======================
Package Name: drupal7-admin_menu
Short Description: Provides a theme-independent administration interface
Upstream URL: http://drupal.org/project/admin_menu
Owners: cycloptivity anross asrob siwinski 
Branches: f19 f20 el6 epel7
InitialCC:
Comment 17 Parag AN(पराग) 2014-06-27 04:08:11 EDT
hey wait let me first review the updated package then only submit the SCM request.
Comment 18 Parag AN(पराग) 2014-06-27 04:40:25 EDT
okay I looked into all above links and found the scratch build link showing correct srpm update but the spec and srpm links above are not correct. I assume its copy/paste error.

Based on this I am going to approve this updated srpm in comment 15.

Re-APPROVED.
Comment 19 Gwyn Ciesla 2014-06-27 10:53:44 EDT
anross is not in the packager group.
Comment 20 Parag AN(पराग) 2014-06-27 12:09:56 EDT
Sam,
   Andrew Ross is not a member of packager group so you may want to remove his ownership request and resubmit request in comment 16.
Comment 21 Sam Wilson 2014-07-24 22:52:01 EDT
New Package SCM Request
=======================
Package Name: drupal7-admin_menu
Short Description: Provides a theme-independent administration interface
Upstream URL: http://drupal.org/project/admin_menu
Owners: cycloptivity asrob siwinski 
Branches: f19 f20 el6 epel7
InitialCC:
Comment 22 Gwyn Ciesla 2014-07-25 07:56:25 EDT
Git done (by process-git-requests).
Comment 23 Fedora Update System 2014-10-13 07:51:29 EDT
drupal7-admin_menu-3.0-0.4.rc4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/drupal7-admin_menu-3.0-0.4.rc4.fc20
Comment 24 Fedora Update System 2014-10-13 08:02:02 EDT
drupal7-admin_menu-3.0-0.4.rc4.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/drupal7-admin_menu-3.0-0.4.rc4.el7
Comment 25 Fedora Update System 2014-10-13 08:13:04 EDT
drupal7-admin_menu-3.0-0.4.rc4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal7-admin_menu-3.0-0.4.rc4.el6
Comment 26 Fedora Update System 2014-10-13 08:13:31 EDT
drupal7-admin_menu-3.0-0.4.rc4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/drupal7-admin_menu-3.0-0.4.rc4.fc19
Comment 27 Parag Nemade 2014-10-13 08:40:35 EDT
I got the permission from this package submitter to build his packages. I see this package missed f21 branch please create it.

Package Change Request
=======================
Package Name: drupal7-admin_menu
New Branches: f21
Owners: cycloptivity asrob siwinski
Comment 28 Fedora Update System 2014-10-13 17:37:56 EDT
drupal7-admin_menu-3.0-0.4.rc4.el7 has been pushed to the Fedora EPEL 7 testing repository.
Comment 29 Kevin Fenzi 2014-10-13 19:12:40 EDT
Git done (by process-git-requests).
Comment 30 Fedora Update System 2014-10-14 00:44:12 EDT
drupal7-admin_menu-3.0-0.4.rc4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/drupal7-admin_menu-3.0-0.4.rc4.fc21
Comment 31 Fedora Update System 2014-10-22 04:51:44 EDT
drupal7-admin_menu-3.0-0.4.rc4.fc20 has been pushed to the Fedora 20 stable repository.
Comment 32 Fedora Update System 2014-10-22 04:53:41 EDT
drupal7-admin_menu-3.0-0.4.rc4.fc19 has been pushed to the Fedora 19 stable repository.
Comment 33 Fedora Update System 2014-10-28 06:59:54 EDT
drupal7-admin_menu-3.0-0.4.rc4.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 34 Fedora Update System 2014-10-28 07:05:37 EDT
drupal7-admin_menu-3.0-0.4.rc4.el7 has been pushed to the Fedora EPEL 7 stable repository.
Comment 35 Fedora Update System 2014-11-01 12:22:00 EDT
drupal7-admin_menu-3.0-0.4.rc4.fc21 has been pushed to the Fedora 21 stable repository.

Note You need to log in before you can comment on or make changes to this bug.